libzypp 17.37.10

zypp::sat::LookupAttr::Impl Class Reference

LookupAttr implememtation. More...

## Public Member Functions
| Impl ()
| Impl (const SolvAttr &attr_r, Location loc_r)
| Impl (const SolvAttr &attr_r, Repository repo_r, Location loc_r)
| Impl (const SolvAttr &attr_r, Solvable solv_r)
SolvAttr | attr () const
void | setAttr (SolvAttr attr_r)
const StrMatcher & | strMatcher () const
void | setStrMatcher (const StrMatcher &matcher_r)
bool | pool () const
void | setPool (Location loc_r)
Repository | repo () const
void | setRepo (Repository repo_r, Location loc_r)
Solvable | solvable () const
void | setSolvable (Solvable solv_r)
SolvAttr | parent () const
void | setParent (SolvAttr attr_r)
LookupAttr::iterator | begin () const
LookupAttr::iterator | end () const

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Private Attributes
SolvAttr | _attr
SolvAttr | _parent
Repository | _repo
Solvable | _solv
StrMatcher | _strMatcher

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Detailed Description

LookupAttr implememtation.

Repository and Solvable must not be set at the same time!

Note
  When looking in pool or repo, Solvable `_solv` is somewhat abused to store eiter `Id` `0` or `SOLVID_META`, which indicates whether the dataiterator should look into solvable or repository metadata. Remember that all Solvables with an invalid `Id`, are treated as == Solvable::noSolvable, and in a boolean context evaluate to `false`. Thus `noSolvable` may have different `Ids`.

Definition at line 56 of file LookupAttr.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/4]

zypp::sat::LookupAttr::Impl::Impl | ( |  | ) |
| inline

Definition at line 59 of file LookupAttr.cc.

## ◆ Impl() [2/4]

zypp::sat::LookupAttr::Impl::Impl | ( | const SolvAttr & | attr_r,
|  | Location | loc_r )
| inline

Definition at line 62 of file LookupAttr.cc.

## ◆ Impl() [3/4]

zypp::sat::LookupAttr::Impl::Impl | ( | const SolvAttr & | attr_r,
|  | Repository | repo_r,
|  | Location | loc_r )
| inline

Definition at line 65 of file LookupAttr.cc.

## ◆ Impl() [4/4]

zypp::sat::LookupAttr::Impl::Impl | ( | const SolvAttr & | attr_r,
|  | Solvable | solv_r )
| inline

Definition at line 68 of file LookupAttr.cc.

## Member Function Documentation

## ◆ attr()

SolvAttr zypp::sat::LookupAttr::Impl::attr | ( |  | ) | const
| inline

Definition at line 73 of file LookupAttr.cc.

## ◆ setAttr()

void zypp::sat::LookupAttr::Impl::setAttr | ( | SolvAttr | attr_r | ) |
| inline

Definition at line 76 of file LookupAttr.cc.

## ◆ strMatcher()

const StrMatcher & zypp::sat::LookupAttr::Impl::strMatcher | ( |  | ) | const
| inline

Definition at line 84 of file LookupAttr.cc.

## ◆ setStrMatcher()

void zypp::sat::LookupAttr::Impl::setStrMatcher | ( | const StrMatcher & | matcher_r | ) |
| inline

Definition at line 87 of file LookupAttr.cc.

## ◆ pool()

bool zypp::sat::LookupAttr::Impl::pool | ( |  | ) | const
| inline

Definition at line 94 of file LookupAttr.cc.

## ◆ setPool()

void zypp::sat::LookupAttr::Impl::setPool | ( | Location | loc_r | ) |
| inline

Definition at line 97 of file LookupAttr.cc.

## ◆ repo()

Repository zypp::sat::LookupAttr::Impl::repo | ( |  | ) | const
| inline

Definition at line 103 of file LookupAttr.cc.

## ◆ setRepo()

void zypp::sat::LookupAttr::Impl::setRepo | ( | Repository | repo_r,
|  | Location | loc_r )
| inline

Definition at line 106 of file LookupAttr.cc.

## ◆ solvable()

Solvable zypp::sat::LookupAttr::Impl::solvable | ( |  | ) | const
| inline

Definition at line 112 of file LookupAttr.cc.

## ◆ setSolvable()

void zypp::sat::LookupAttr::Impl::setSolvable | ( | Solvable | solv_r | ) |
| inline

Definition at line 115 of file LookupAttr.cc.

## ◆ parent()

SolvAttr zypp::sat::LookupAttr::Impl::parent | ( |  | ) | const
| inline

Definition at line 121 of file LookupAttr.cc.

## ◆ setParent()

void zypp::sat::LookupAttr::Impl::setParent | ( | SolvAttr | attr_r | ) |
| inline

Definition at line 124 of file LookupAttr.cc.

## ◆ begin()

LookupAttr::iterator zypp::sat::LookupAttr::Impl::begin | ( |  | ) | const
| inline

Definition at line 128 of file LookupAttr.cc.

## ◆ end()

LookupAttr::iterator zypp::sat::LookupAttr::Impl::end | ( |  | ) | const
| inline

Definition at line 146 of file LookupAttr.cc.

## ◆ clone()

Impl * zypp::sat::LookupAttr::Impl::clone | ( |  | ) | const
| inline private

clone for RWCOW_pointer

Definition at line 159 of file LookupAttr.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _attr

SolvAttr zypp::sat::LookupAttr::Impl::_attr
| private

Definition at line 150 of file LookupAttr.cc.

## ◆ _parent

SolvAttr zypp::sat::LookupAttr::Impl::_parent
| private

Definition at line 151 of file LookupAttr.cc.

## ◆ _repo

Repository zypp::sat::LookupAttr::Impl::_repo
| private

Definition at line 152 of file LookupAttr.cc.

## ◆ _solv

Solvable zypp::sat::LookupAttr::Impl::_solv
| private

Definition at line 153 of file LookupAttr.cc.

## ◆ _strMatcher

StrMatcher zypp::sat::LookupAttr::Impl::_strMatcher
| private

Definition at line 154 of file LookupAttr.cc.

The documentation for this class was generated from the following file:

- zypp/sat/LookupAttr.cc